<feed xmlns='http://www.w3.org/2005/Atom'>
<title>meta-agl/meta-agl-bsp/meta-freescale-layer/recipes-qt/qt5, branch 16.91.0</title>
<subtitle>meta-agl layer (core AGL)</subtitle>
<link rel='alternate' type='text/html' href='http://git.automotivelinux.org/AGL/meta-agl/'/>
<entry>
<title>Add i.MX8MQ EVK support</title>
<updated>2020-05-12T23:34:44+00:00</updated>
<author>
<name>Scott Murray</name>
<email>scott.murray@konsulko.com</email>
</author>
<published>2020-05-07T19:55:04+00:00</published>
<link rel='alternate' type='text/html' href='http://git.automotivelinux.org/AGL/meta-agl/commit/?id=4ee8c933aa9726f0493ead14b4e1c97a0844ec28'/>
<id>4ee8c933aa9726f0493ead14b4e1c97a0844ec28</id>
<content type='text'>
Add imx8mqevk-viv machine template for i.MX8MQ EVK which uses the
default Vivante driver configuration in meta-freescale with the
new community linux-fslc-imx kernel.  The following additional changes
have been made to support this:
- A linux-fslc-imx bbappend has been added to pull in the AGL kernel
  configuration, and a imx8mq-evkb config fragment has been added to
  enable the required Wifi driver for the updated EVKB board.
- Stale qtbase and weston-init bbappends/patches have been removed
  from meta-agl-bsp/meta-freescale-layer.
- The meta-agl-profile-graphical Weston 8.0.0 bbappend has been
  renamed to 8.0.% so the wildcard will apply it to meta-freescale's
  weston_8.0.0.imx recipe.

Known issues:
- The required PipeWire configuration for the onboard audio needs
  further investigation.

Bug-AGL: SPEC-3258

Signed-off-by: Scott Murray &lt;scott.murray@konsulko.com&gt;
Change-Id: I4ea5437ef0ea8bedb9dd2157f2822ff25ee56cff
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
Add imx8mqevk-viv machine template for i.MX8MQ EVK which uses the
default Vivante driver configuration in meta-freescale with the
new community linux-fslc-imx kernel.  The following additional changes
have been made to support this:
- A linux-fslc-imx bbappend has been added to pull in the AGL kernel
  configuration, and a imx8mq-evkb config fragment has been added to
  enable the required Wifi driver for the updated EVKB board.
- Stale qtbase and weston-init bbappends/patches have been removed
  from meta-agl-bsp/meta-freescale-layer.
- The meta-agl-profile-graphical Weston 8.0.0 bbappend has been
  renamed to 8.0.% so the wildcard will apply it to meta-freescale's
  weston_8.0.0.imx recipe.

Known issues:
- The required PipeWire configuration for the onboard audio needs
  further investigation.

Bug-AGL: SPEC-3258

Signed-off-by: Scott Murray &lt;scott.murray@konsulko.com&gt;
Change-Id: I4ea5437ef0ea8bedb9dd2157f2822ff25ee56cff
</pre>
</div>
</content>
</entry>
<entry>
<title>Fix i.MX6</title>
<updated>2017-06-30T19:31:59+00:00</updated>
<author>
<name>Takashi Matsuzawa</name>
<email>tmatsuzawa@xevo.com</email>
</author>
<published>2017-06-28T06:55:13+00:00</published>
<link rel='alternate' type='text/html' href='http://git.automotivelinux.org/AGL/meta-agl/commit/?id=1c46fcd4f482be6c114a815d9501adf4b7588d2c'/>
<id>1c46fcd4f482be6c114a815d9501adf4b7588d2c</id>
<content type='text'>
Bug-AGL: SPEC-704

This is part of the fixe to make i.MX6 buildable again.
Following fixes are included in this change:

- adding build target imx6qsabreauto
- fixing qt5.8 build error
- refine bblayers.conf layer order (for dynamic-layers)
- meta-fsl-arm -&gt; meta-freescale layer name change
- weston.ini lines (use fbdev-backend.so)
- /dev/galcore permission (by /etc/udev/rules.d/zz-dri.rules)
- kernel configuraion to include smack, etc.

Follwings are stil not addressed yet:

- bblayer.conf layer order still have issue re. dynamic-layers
- built and booted on imx6qsabreauto only yet.
  following existing community boards may need update
  (i have imx6qsabrelite, but no notrogen6x)

Note, this fix is prepared independently of nxp or fsl-community,
who should follow-up if there are mistakes to be fixed, or updates
that they find needed.

Update:

Refined on review comment regarding tune settings and
kernel configurations.  The board successfully boots and shows
AGL homescreen.

But I found I still have problem with USB.
lsusb says 'unable to initialize libusb: -99' error which I am
still faling to find the cause.

Update2:

usb issue may be related to dtb configuration in linux-fslc-imx
better to be tracked separately

Change-Id: If5fa4e5f0450385bcb2648d57e63dc1fc14b0574
Signed-off-by: Takashi Matsuzawa &lt;tmatsuzawa@xevo.com&gt;
Reviewed-on: https://gerrit.automotivelinux.org/gerrit/9871
Tested-by: Jenkins Job builder account &lt;agl-jobbuilder@automotivelinux.org&gt;
ci-image-build: Jenkins Job builder account &lt;agl-jobbuilder@automotivelinux.org&gt;
Reviewed-by: Jan-Simon Moeller &lt;jsmoeller@linuxfoundation.org&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
Bug-AGL: SPEC-704

This is part of the fixe to make i.MX6 buildable again.
Following fixes are included in this change:

- adding build target imx6qsabreauto
- fixing qt5.8 build error
- refine bblayers.conf layer order (for dynamic-layers)
- meta-fsl-arm -&gt; meta-freescale layer name change
- weston.ini lines (use fbdev-backend.so)
- /dev/galcore permission (by /etc/udev/rules.d/zz-dri.rules)
- kernel configuraion to include smack, etc.

Follwings are stil not addressed yet:

- bblayer.conf layer order still have issue re. dynamic-layers
- built and booted on imx6qsabreauto only yet.
  following existing community boards may need update
  (i have imx6qsabrelite, but no notrogen6x)

Note, this fix is prepared independently of nxp or fs<style>.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>#We have a conf and classes directory, add to BBPATH
BBPATH .= &quot;:${LAYERDIR}&quot;

# We have recipes-* directories, add to BBFILES
BBFILES += &quot;${LAYERDIR}/recipes-*/*/*.bb ${LAYERDIR}/recipes-*/*/*.bbappend&quot;

BBFILE_COLLECTIONS += &quot;agl-test&quot;
BBFILE_PATTERN_agl-test = &quot;^${LAYERDIR}/&quot;

# This should only be incremented on significant changes that will
# cause compatibility issues with other layers
LAYERVERSION_agl-test = &quot;1&quot;

LAYERSERIES_COMPAT_agl-test = &quot;kirkstone&quot;
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>Copyright &copy; 2015 The Linux Foundation. All rights reserved.</p>
      <p>
        Linux Foundation, Linux Standard Base, LSB, LSB Certified, IAccessible2,
        MeeGo are registered trademarks of the Linux Foundation.
      </p>
      <p>
        Linux is a registered
        <a href="http://www.linuxfoundation.org/programs/legal/trademark"
          >trademark</a
        >
        of Linus Torvalds. Please see our
        <a href="https://www.linuxfoundation.org/privacy">privacy policy</a>.
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
